> ## Documentation Index
> Fetch the complete documentation index at: https://developer.instantly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get background job

> Requires one of the following scopes: `background-jobs:read`, `background-jobs:all`, `all:read`, `all:all`



## OpenAPI

````yaml https://api.instantly.ai/openapi/api_v2.json get /api/v2/background-jobs/{id}
openapi: 3.1.0
info:
  title: API Explorer
  description: >-
    The entire API V2 documentation is interactive and can be tested here. To
    the right side of every endpoint you will see a box with an example request.
    You can click on the "Try it" button to send a request to the server right
    from the docs. You will need to provide an API key by clicking the
    `ApiKeyAuth_token` blue text.
  version: 2.0.0
servers:
  - url: https://api.instantly.ai
    description: Instantly API Server
security:
  - ApiKeyAuth: []
tags:
  - name: Analytics
    description: Endpoints related to analytics
    x-displayName: Analytics
  - name: OAuth
    description: >-
      OAuth authentication endpoints for connecting Google and Microsoft email
      accounts
    x-displayName: OAuth
  - name: Account
    description: An email account that can be used to send campaigns
    x-displayName: Account
  - name: Campaign
    description: A campaign that can be sent to a list of recipients
    x-displayName: Campaign
  - name: Email
    description: >-
      A campaign email, a reply, a manually sent email, or any other email
      that's visible in the Unibox
    x-displayName: Email
  - name: EmailVerification
    description: A single email verification
    x-displayName: Email Verification
  - name: LeadList
    description: A list used to store leads
    x-displayName: Lead List
  - name: InboxPlacementTest
    description: An inbox placement test
    x-displayName: Inbox Placement Test
  - name: InboxPlacementAnalytics
    description: Analytics data for individual emails in inbox placement tests
    x-displayName: Inbox Placement Analytics
  - name: InboxPlacementBlacklist&SpamAssassinReport
    description: Report data for an inbox placement test
    x-displayName: Inbox Placement Blacklist & SpamAssassin Report
  - name: APIKey
    description: API Key
    x-displayName: API Key
  - name: AccountCampaignMapping
    description: Account Campaign Mapping
    x-displayName: Account Campaign Mapping
  - name: Lead
    description: A lead entity representing an individual lead
    x-displayName: Lead
  - name: BackgroundJob
    description: A background job that can be used to perform long-running tasks
    x-displayName: Background Job
  - name: CustomTag
    description: >-
      A custom tag for organizing and categorizing accounts and campaigns. You
      can use them as filters in apis that list accounts and campaigns.
    x-displayName: Custom Tag
  - name: CustomTagMapping
    description: >-
      This entity represents a tag being assigned to a specific campaign or
      email account. When an email account is assigned a tag, a new custom tag
      mapping entry is created, which connects the tag (`tag_id` field) with the
      email account (`resource_id` field). You can use it to see which tag si
      connected to which resource.
    x-displayName: Custom Tag Mapping
  - name: BlockListEntry
    description: A blocked email or domain
    x-displayName: Block List Entry
  - name: LeadLabel
    description: A custom label for categorizing and managing leads
    x-displayName: Lead Label
  - name: Workspace
    description: A workspace entity representing a workspace
    x-displayName: Workspace
  - name: SuperSearchEnrichment
    description: >-
      An enrichment can take different forms, such as email enrichment or
      LinkedIn enrichment. Leads may be imported from SuperSearch using the
      dedicated endpoint, or enriched directly within a list or campaign by
      attaching an enrichment to it.
    x-displayName: SuperSearch Enrichment
  - name: WorkspaceGroupMember
    description: >-
      A member of a workspace group. You can use the endpoints within this
      entity to manage the members of a workspace group.
    x-displayName: Workspace Group Member
  - name: WorkspaceMember
    description: A member of a workspace with associated user details
    x-displayName: Workspace Member
  - name: CampaignSubsequence
    description: A subsequence entity representing a follow-up sequence
    x-displayName: Campaign Subsequence
  - name: AuditLog
    description: Audit log records for tracking system activities
    x-displayName: Audit Log
  - name: Webhook
    description: A webhook subscription for receiving event notifications
    x-displayName: Webhook
  - name: WebhookEvent
    description: A webhook event that was sent or attempted to be sent
    x-displayName: Webhook Event
  - name: DFYEmailAccountOrder
    description: A Done-For-You email account order
    x-displayName: DFY Email Account Order
  - name: CustomPromptTemplate
    description: Custom prompt templates for creating custom prompts
    x-displayName: Custom Prompt Template
  - name: SalesFlow
    description: >-
      Manages how sales users view and interact with campaign and lead lists
      within the sales flow.
    x-displayName: Sales Flow
  - name: EmailTemplate
    description: A campaign email template
    x-displayName: Email Template
  - name: WorkspaceBilling
    description: Workspace Billing
    x-displayName: Workspace Billing
  - name: CRMActions
    description: CRM related actions
    x-displayName: CRM Actions
paths:
  /api/v2/background-jobs/{id}:
    get:
      tags:
        - BackgroundJob
      summary: Get background job
      description: >-
        Requires one of the following scopes: `background-jobs:read`,
        `background-jobs:all`, `all:read`, `all:all`
      operationId: getBackgroundJob
      parameters:
        - schema:
            type: string
            example: success_count,failed_count,total_to_process
          in: query
          name: data_fields
          required: false
          description: >-
            Comma-separated list of fields to include from the `data` object
            (e.g., "success_count,failed_count" or
            "moved_lead_emails,moved_leads"). For `move-leads` jobs,
            `moved_lead_emails` is capped at 10,000 entries.
        - schema:
            type: string
            example: 6a02464f1ea690ac596c4be5
          in: path
          name: id
          required: true
          description: The ID of the requested item
      responses:
        '200':
          description: The requested Background Job
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-12'
        '401':
          description: >-
            This request is unauthorized (either the Authorization header is
            missing or invalid, or the API key has been revoked)
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                    example: 401
                  error:
                    type: string
                    enum:
                      - Unauthorized
                    example: Unauthorized
                  message:
                    type: string
                    example: Missing Authorization header
                required:
                  - statusCode
                  - error
                  - message
        '402':
          description: >-
            This request cannot be fulfilled because the workspace does not have
            an active paid plan
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 402
                    example: 402
                  error:
                    type: string
                    enum:
                      - Payment Required
                    example: Payment Required
                  message:
                    type: string
                    example: Workspace does not have an active paid plan
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The requested resource was not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                    example: 404
                  error:
                    type: string
                    enum:
                      - Not Found
                    example: Not Found
                  message:
                    type: string
                    example: Resource not found
                required:
                  - statusCode
                  - error
                  - message
        '429':
          description: >-
            You have exceeded the rate limit. Please check the rate limit docs
            for more information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 429
                    example: 429
                  error:
                    type: string
                    enum:
                      - Too Many Requests
                    example: Too Many Requests
                  message:
                    type: string
                    example: Rate limit exceeded
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    def-12:
      title: Background Job
      description: A background job that can be used to perform long-running tasks
      x-tags:
        - Schemas
        - BackgroundJob
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the background job
          readOnly: true
          example: 675266e304a8e55b17f0228b
        workspace_id:
          type: string
          description: Workspace ID
          readOnly: true
          format: uuid
          example: 019e18e2-791d-7da7-9459-942f29778e95
        user_id:
          type:
            - 'null'
            - string
          description: The id of the user that triggered the action that created the job
          readOnly: true
          format: uuid
          example: 019e18e2-791d-7da7-9459-94304e5234a6
        type:
          type: string
          description: Type of background job
          enum:
            - move-leads
            - import-leads
            - export-leads
            - update-warmup-accounts
            - rename-variable
          x-enumDescriptions:
            move-leads: Move Leads
            import-leads: Import Leads
            export-leads: Export Leads
            update-warmup-accounts: Update Warmup Accounts
            rename-variable: Rename Variable
          example: move-leads
        entity_id:
          type:
            - 'null'
            - string
          description: The id of the entity that the job is related to
          format: uuid
          example: 019e18e2-791d-7da7-9459-9431dc674a9f
        entity_type:
          type: string
          description: Type of entity
          enum:
            - list
            - campaign
            - workspace
          x-enumDescriptions:
            list: The entity is a lead list
            campaign: The entity is a campaign
            workspace: The entity is a workspace
          example: list
        data:
          type: object
          description: >-
            Data about the job, used to store any additional information we need
            to process the job
          properties:
            moved_lead_emails:
              type: array
              description: >-
                For `move-leads` jobs, up to the first 10,000 email addresses of
                leads that actually moved or copied to the destination after all
                filters were applied. Use `moved_leads` for the full count.
              items:
                type: string
                format: email
                example: jane@example.com
              example:
                - jane@example.com
                - john@example.com
          additionalProperties: true
        progress:
          type: number
          description: Progress of the job as a percentage (from 0 to 100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Job status
          enum:
            - pending
            - in-progress
            - success
            - failed
          x-enumDescriptions:
            pending: The background job is waiting in the queue to be processed
            in-progress: The background job is being processed
            success: The background job has been successfully processed
            failed: The background job has failed
          example: pending
        created_at:
          type: string
          description: Timestamp when the job was created
          example: '2026-05-11T21:12:35.869Z'
        updated_at:
          type: string
          description: Timestamp when the job was last updated
          example: '2026-05-11T21:12:35.869Z'
      required:
        - id
        - workspace_id
        - type
        - progress
        - status
        - created_at
        - updated_at
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer

````